SqlUtil::AbstractSequence Class Referenceabstract

base class for sequences More...

## Public Member Functions

| constructor (string n_name, number n_start=1, number n_increment=1, *softnumber n_max)
| creates the object from the arguments
abstract string | getCreateSql (*hash opt)
| returns a string that can be used to create the sequence in the database
string | getDropSql (*hash opt)
| returns a string that can be used to drop the sequence from the database More...
abstract softlist | getRenameSql (string new_name, *hash opt)
| returns a list of strings that can be used to rename the sequence in the database More...

## Public Attributes

number | increment
| the increment
*number | max
| the ending number
string | name
| the name of the sequence
number | start
| the starting number

## Detailed Description

base class for sequences

## Member Function Documentation

## getDropSql()

string SqlUtil::AbstractSequence::getDropSql | ( | *hash | opt | ) |

returns a string that can be used to drop the sequence from the database

Parameters

  opt | drop options (if supported by the driver and object); in this generic base class method, this argument is ignored

## getRenameSql()

abstract softlist SqlUtil::AbstractSequence::getRenameSql | ( | string | new_name,
|  | *hash | opt
| ) |  |

pure virtual

returns a list of strings that can be used to rename the sequence in the database

Parameters

  new_name | the new name of the object
  opt | drop options (if supported by the driver and object)